<dx-form #transferForm [colCount]="1" [formData]='edit.model' [showValidationSummary]="false"
  validationGroup="trfValidation" labelLocation="left">
  <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
    <dxi-item [colSpan]="2" [label]="{text: ds.lg.format('SOURCE WS')}" dataField="t_senderWorkCenterId"
      editorType="dxSelectBox"
      [editorOptions]="{ dataSource: dspWorkCenter, valueExpr: 'id', displayExpr: 'name', onValueChanged: onWorkCenterSource, disabled: edit.model.disabledSource }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [colSpan]="2" [label]="{text: ds.lg.format('DEST WS')}" dataField="t_destinationWorkCenterId"
      editorType="dxSelectBox" [editorOptions]="{ dataSource: dspWorkCenter, valueExpr: 'id', displayExpr: 'name' }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [colSpan]="1" [colCount]='2' [label]="{text: ds.lg.format('OPERATION DATE')}" dataField="t_sendDate"
      editorType="dxDateBox" [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%'}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item itemType='empty'></dxi-item>
    <dxi-item [label]="{text: ds.lg.format('WASTE CODE')}" dataField="t_wasteTypeId" editorType="dxSelectBox"
      [editorOptions]="{ dataSource: dsWasteType, valueExpr: 'id', displayExpr: 'code', onValueChanged: onWasteChange, searchEnabled: true, onInitialized: onWasteCodeInit,
        disabled: edit.model.disabledSource || edit.model.t_senderWorkCenterId === undefined }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: ds.lg.format('QUANTITY') + ' (' + (edit.model.wt_uom === 1 ? 'tone' : 'mc') + ')' }" dataField="t_quantity"
      editorType="dxNumberBox" [editorOptions]="{ disabled: !edit.model.t_wasteTypeId }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>
</dx-form>